Summary:	ThinkPad fan control program
Summary(pl.UTF-8):	Program do sterowania wiatraczkiem w ThinkPadach
Name:		thinkfan
Version:	0.9.2
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/thinkfan/%{name}-%{version}.tar.gz
# Source0-md5:	4292633aebd61b91f04cd332c4d3e181
Source1:	%{name}.init
URL:		http://thinkfan.sourceforge.net/
BuildRequires:	cmake >= 2.6
BuildRequires:	libatasmart-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A minimalist fan control program. Supports any kind of system via the
sysfs hwmon interface (/sys/class/hwmon). It is designed to eat as
little CPU power as possible. The development was inspired by the
excellent work people have done on thinkwiki.org.

%description -l pl.UTF-8
Minimalistyczny program do sterowania wiatraczkiem. Obsługuje dowolny
system poprzez interfejs sysfs hwmon (/sys/class/hwmon). Został tak
zaprojektowany, aby obciążać procesor w najmniejszym możliwym stopniu.
Stworzenie tego narzędzia zostało zainspirowane wspaniałą pracą
wykonaną przez ludzi na thinkwiki.org.

%prep
%setup -q -c thinkfan-0.9.2

%build
install -d build
cd build
%cmake \
	-DUSE_ATASMART=1 \
	..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p examples/thinkfan.conf.simple $RPM_BUILD_ROOT%{_sysconfdir}/thinkfan.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add thinkfan
%service thinkfan restart

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del thinkfan
	%service thinkfan stop
fi

%files
%defattr(644,root,root,755)
%doc NEWS README examples/thinkfan.conf.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/thinkfan
%{_mandir}/man1/thinkfan.1*
%changelog
* Sun Aug 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/thinkfan.git;a=log;h=master

* Tue Jul 28 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> d9f2572
- up to 0.9.2

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 3498aa5
- executable initscript

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 09bd32e
- cmake cosmetics

* Mon Jan 27 2014 Jakub Bogusz <qboosh@pld-linux.org> afaf75d
- cmake version

* Mon Jan 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 708da53
- enable temp reading using libatasmart

* Mon Jan 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f4d0b43
- up to 0.9.1

* Sun Aug 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c03e86e
- up to 0.8.1

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> c7c1ca2
- updated to 0.8.0

* Thu Sep 22 2011 Jakub Bogusz <qboosh@pld-linux.org> ff73866
- updated to 0.7.3

* Sat Aug 20 2011 Jakub Bogusz <qboosh@pld-linux.org> e3fa13d
- pl
- better group, more specific GPL version

* Sat Aug 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a6ba0f8
- up to 0.7.2

* Tue Mar 15 2011 Elan Ruusamäe <glen@pld-linux.org> 66906e3
- there is no logs to flush-logs, cleanup leftover from crond. plz use template.init from rc-scripts when creating new initscripts

* Tue Mar 15 2011 Elan Ruusamäe <glen@pld-linux.org> 5f5f68f
- install generic sysfs config by default, update desc
- restart service on upgrade, stop on uninstall
- one time make is enough

* Mon Mar 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c85460
- initla

